---
names: 
  full: "Google Cloud SQL Server Instance external scripts enabled Database Flag is not set to off"
  contextual: "SQL Server Instance external scripts enabled Database Flag is not set to off"
description: "It is recommended to set `external scripts enabled` database flag for Cloud SQL SQL Server instance to `off`"
type: COMPLIANCE_POLICY
categories:
  - "SECURITY"
frameworkMappings:
  - /frameworks/cis-gcp-v3.0.0/06/03/01
  - /frameworks/cloudaware/resource-security/threat-protection
  - /frameworks/nist-sp-800-53-r5/cm/07
  - /frameworks/nist-sp-800-53-r5/si/07
  - /frameworks/pci-dss-v4.0/01/02/05
  - /frameworks/pci-dss-v4.0/02/02/04
  - /frameworks/pci-dss-v4.0/06/04/03
  - /frameworks/nist-csf-v1.1/pr-ip/01
  - /frameworks/nist-csf-v1.1/pr-pt/03
  - /frameworks/soc-2/cc5/02/01
  - /frameworks/soc-2/cc5/02/02
  - /frameworks/soc-2/cc5/02/03
  - /frameworks/soc-2/cc5/02/04
similarPolicies:
  cloudConformity:
    - url: "https://www.trendmicro.com/cloudoneconformity-staging/knowledge-base/gcp/CloudSQL/disable-external-scripts-enabled-flag.html"
      name: "Disable 'external scripts enabled' Flag for SQL Server Database Instances"
